diff --git a/build/cmake/files.cmake b/build/cmake/files.cmake
index cb396e3cf94a..e8073d605fb7 100644
--- a/build/cmake/files.cmake
+++ b/build/cmake/files.cmake
@@ -167,6 +167,17 @@ set(BASE_OSX_NOTWXMAC_HDR
     ${BASE_COREFOUNDATION_HDR}
 )
 
+set(QT_UNIX_SRC
+    src/unix/dialup.cpp
+    src/unix/joystick.cpp
+    src/unix/sound.cpp
+)
+
+set(QT_UNIX_HDR
+    wx/unix/joystick.h
+    wx/unix/sound.h
+)
+
 set(QT_WIN32_SRC
     src/msw/ole/automtn.cpp
     src/msw/ole/safearray.cpp
diff --git a/build/cmake/lib/core/CMakeLists.txt b/build/cmake/lib/core/CMakeLists.txt
index 8031cc37309b..22f523a65ef7 100644
--- a/build/cmake/lib/core/CMakeLists.txt
+++ b/build/cmake/lib/core/CMakeLists.txt
@@ -50,7 +50,9 @@ elseif(WXOSX_IPHONE)
     wx_append_sources(CORE_SRC OSX_IPHONE)
 elseif(WXQT)
     wx_append_sources(CORE_SRC QT)
-    if(WIN32)
+    if(UNIX)
+        wx_append_sources(CORE_SRC QT_UNIX)
+    elseif(WIN32)
         wx_append_sources(CORE_SRC QT_WIN32)
     endif()
 endif()
